## NAME

r.basins.fill - Generates a raster map layer showing watershed subbasins.

## SYNOPSIS

r.basins.fill
r.basins.fill help
r.basins.fill number=integer c_map=string t_map=string result=string

### Parameters:

number=integer
  Number of passes through the dataset
c_map=string
  Coded stream network file name
t_map=string
  Thinned ridge network file name
result=string
  Name for the resultant watershed partition file

## DESCRIPTION

r.basins.fill generates a raster map layer depicting subbasins, based on input raster map layers for the coded stream network (where each channel segment has been "coded" with a unique category value) and for the ridges within a given watershed. The raster map layer depicting ridges should include the ridge which defines the perimeter of the watershed. The coded stream network can be generated as part of the r.watershed program, but the map layer of ridges will need to be created by hand, either through digitizing done in v.digit.

The resulting output raster map layer will code the subbasins with category values matching those of the channel segments passing through them. A user-supplied number of passes through the data is made in an attempt to fill in these subbasins. If the resulting map layer from this program appears to have holes within a subbasin, the program should be rerun with a higher number of passes.

## NOTES

The current geographic region setting is ignored. Instead, the geographic region for the entire input stream's map layer is used.

## SEE ALSO

See Appendix A of the GRASS Tutorial: r.watershed for further details on the combined use of r.basins.fill and r.watershed.

r.watershed, v.digit

## AUTHORS

Dale White, Dept. of Geography, Pennsylvania State University
Larry Band, Dept. of Geography, University of Toronto, Canada

Last changed: $Date: 2005/05/10 09:48:02 $

Help Index